(function($) {
    'use strict';

    $('.btn-quantity.minus').on('click', function() {
        var quantity = $(this).siblings('.value');
        var item = $(this).closest('.item-element');
        var total = $(this).siblings('.total');
        if (parseInt(quantity.val()) > item.data('min')) {
            quantity.val(parseInt(quantity.val()) - 1);
            var price = parseInt(quantity.val()) * parseFloat(item.data('price'));
            if (item.data('daily')) {
                price = price * parseInt(reservation_data.days);
            }
            total.children('.value').text(ohbeFormatPrice(price));
            if (quantity.val() == 0) {
                total.hide();
            }
        }
        if (parseInt(quantity.val()) == 0) {
            $(this).siblings('.subtotal').text('');
        }
        if (!item.data('selected')) {
            item.find('.btn-ohbe').prop('disabled', parseInt(quantity.val()) <= 0);
        }
        $(this).prop('disabled', quantity.val() <= item.data('min'));
        $(this).siblings('.plus').prop(
            'disabled',
            quantity.val() == item.data('plus')
        );
    });

    $('.btn-quantity.plus').on('click', function() {
        var quantity = $(this).siblings('.value');
        var item = $(this).closest('.item-element');
        var total = $(this).siblings('.total');
        if (item.data('max') == '' || item.data('max') > parseInt(quantity.val())) {
            quantity.val(parseInt(quantity.val()) + 1);
            var price = parseInt(quantity.val()) * parseFloat(item.data('price'));
            if (item.data('daily')) {
                price = price * parseInt(reservation_data.days);
            }
            total.show();
            total.children('.value').text(ohbeFormatPrice(price));
        }
        if (parseInt(quantity.val()) == 0) {
            $(this).siblings('.subtotal').text('');
        }
        item.find('.btn-ohbe').prop('disabled', parseInt(quantity.val()) <= 0);
        $(this).siblings('.minus').prop(
            'disabled',
            quantity.val() == item.data('min')
        );
        $(this).prop('disabled', quantity.val() >= item.data('max'));
    });

    $('.modal-button').on('click', function() {
        var data_modal = $(this).data('modal');
        if (data_modal == 'description-modal') {
            var item_id = $(this).closest('.item-element').data('id');
            var name = ohbeGetName(inv_lang_items, inv_items, item_id);
            var description = (
                inv_lang_items[item_id] && inv_lang_items[item_id].description
                ) || '';
            var body = ohbeRenderImage(item_id, 'item')
                + '<div class=description>'
                + description.replace(/(?:\r\n|\r|\n)/g, '<br>')
                + '</div>';

            $('#ohbe-description-modal .modal-title').html(name);
            $('#ohbe-description-modal .modal-body').html(body);
        }

        ohbeModalOpen($('#ohbe-' + data_modal));
    });
})(jQuery);
