<?php
get_header();

$search_filters = OHBE_Tools::getSearchFilters('Y-m-d');
$errors = ohbeAvailabilityFormHandle();

if (isset($_GET['ohbe']) && $_GET['ohbe'] == OHBE_AVAILABILITY_PAGE) {
    $all_filters = OHBE_Tools::decodeFilters($_GET['ohbe']);
    $redforts_data = OscarAPI::getAvailability(
        $search_filters['arrival'],
        $search_filters['departure'],
        isset($all_filters['pr']) ? $all_filters['pr'] : ''
    );
    $accommodations = OHBE_Availability::getAccommodationsStructure(
        $redforts_data,
        $all_filters
    );
}
echo '<div class="content-area ohbe-page"><div class=container>';
echo do_shortcode("[ohbe_main_search]");
if (!get_option('ohbe_inventory')) {
    OHBE_Tools::mustSetInventory();
}
else {
    OHBE_Tools::printFlashMessage();
    if (!isset($redforts_data['errors'])) {
        OHBE_Availability::printPromoMessage($redforts_data);
        if (isset($_GET['acco'])) {
            echo '<form method=POST action='
                . OHBE_Tools::renderFormAction(
                    OHBE_AVAILABILITY_PAGE,
                    true,
                    ['acco'])
                . '><div class=show-all-accommodations>'
                . '<button class=btn-ohbe>'
                . __('Show results for all accommodations', 'ohbe')
                . '</button></div></form>';
        }
        if (isset($_GET['ohbe'])) {
            echo '<div id=booking-summary class=booking-summary';
            echo isset($_SESSION['ohbe']['selected_accos'])
                ? 'style="display:block";'
                : '';
            echo '>';
            OHBE_Availability::printSelectedAccommodations($redforts_data);
            echo '</div>';
        }
    }
    if (isset($_GET['ohbe'])) {
        OHBE_Availability::handleErrors($redforts_data);
        OHBE_Availability::printAccommodationLists(
            $redforts_data,
            $accommodations,
            $all_filters
        );
        echo OHBE_Availability::renderModals();
    }
}
echo '</div></div>';

$trans_strings  = array(
    'adults' => __('Adults', 'ohbe'),
    'arrival' => __('Arrival', 'ohbe'),
    'best_price' => __('Best price', 'ohbe'),
    'cancellation' => __('Cancellation policy', 'ohbe'),
    'children' => __('Children', 'ohbe'),
    'combined_rates' => __('Combination of rates', 'ohbe'),
    'conditions' => __('Conditions', 'ohbe'),
    'departure' => __('Departure', 'ohbe'),
    'description' => __('Description', 'ohbe'),
    'excl_taxes' => __('Price excl. %s%% taxes', 'ohbe'),
    'incl_taxes' => __('Price incl. taxes', 'ohbe'),
    'maximum' => __('Maximum', 'ohbe'),
    'payment' => __('Payment policy', 'ohbe'),
    'noConditions' => __(
        'No conditions have been defined. Contact us for further information.',
        'ohbe'
    ),
    'per_night' => __('Per night', 'ohbe'),
    'rate' => __('Rate', 'ohbe'),
);
// Javascript
$inv_langs = OHBE_Main::getInventory('languages');
$lang = OscarAPI::getLanguage();

$inv_lang_rates = isset($inv_langs[$lang]['rates'])
    ? $inv_langs[$lang]['rates']
    : OHBE_Main::getInventory('rates');
wp_localize_script(
    'ohbe_availability',
    'inv_lang_rates',
    $inv_lang_rates
);
$inv_lang_accos = isset($inv_langs[$lang]['accos'])
    ? $inv_langs[$lang]['accos']
    : OHBE_Main::getInventory('accos');
wp_localize_script(
    'ohbe_availability',
    'inv_lang_accos',
    $inv_lang_accos
);
$inv_lang_checkinout = isset($inv_langs[$lang]['checkinout'])
    ? $inv_langs[$lang]['checkinout']
    : null;
if (
    $inv_lang_checkinout
    && !empty($inv_lang_checkinout)
) {
    wp_localize_script(
        'ohbe_availability',
        'inv_lang_checkinout',
        $inv_lang_checkinout
    );
}
$inv_lang_conditions = isset($inv_langs[$lang]['conditions'])
    ? $inv_langs[$lang]['conditions']
    : null;
if (
    $inv_lang_conditions
    && !empty($inv_lang_conditions)
) {
    wp_localize_script(
        'ohbe_availability',
        'inv_lang_conditions',
        $inv_lang_conditions
    );
}
$selected_accos = isset($_SESSION['ohbe']['selected_accos'])
    ? $_SESSION['ohbe']['selected_accos']
    : null;
if ($selected_accos) {
    wp_localize_script(
        'ohbe_availability',
        'selected_accos',
        $selected_accos
    );
}
if (isset($redforts_data['promo_total'])) {
    wp_localize_script(
        'ohbe_availability',
        'promo_total',
        $redforts_data['promo_total']
    );
}
wp_localize_script(
    'ohbe_availability',
    'inv_accos',
    OHBE_Main::getInventory('accos')
);
wp_localize_script(
    'ohbe_availability',
    'inv_images',
    OHBE_Main::getInventory('images')
);
wp_localize_script(
    'ohbe_availability',
    'inv_rates',
    OHBE_Main::getInventory('rates')
);
wp_localize_script(
    'ohbe_availability',
    'inv_currency',
    OHBE_Main::getInventory('currency')
);
wp_localize_script(
    'ohbe_availability',
    'oscar_lang',
    $lang
);
wp_localize_script(
    'ohbe_availability',
    'trans_strings',
    $trans_strings
);

get_footer();
