<?php
get_header();

$inv_langs = OHBE_Main::getInventory('languages', OscarAPI::getLanguage());
$total_price = 0;
ohbeReservationFormHandle();

echo '<div class="content-area ohbe-page"><div class=container>';
if (!get_option('ohbe_inventory')) {
    OHBE_Tools::mustSetInventory();
}
else {
    if (OHBE_Main::getSettings('api_code')) {
        OHBE_Reservation::printSelectedAccommodations($total_price);
        echo '<form id="ohbe-reservation-form" method=POST><div class=client-data>';
        echo '<h3 class=ohbe-title>' . __('Personal data', 'ohbe') . '</h3>';
        OHBE_Reservation::printReservationFields('personal');
        OHBE_Reservation::printGuestsNumberFields();
        OHBE_Reservation::printCreditCardDataHeader();
        OHBE_Reservation::printReservationFields('card');
        echo OHBE_Reservation::renderComments($inv_langs);
        echo OHBE_Reservation::renderPrivacyStatement($inv_langs);
        echo OHBE_Reservation::renderConsent($inv_langs);
        echo OHBE_Reservation::renderConditions($inv_langs);
        echo '<input type=hidden name=action value=make_reservation>'
        . '<div class=btn-booking-wrapper>'
        . '<button type=button id=reservation-submit name=reservation_submit '
        . 'class="btn-ohbe btn-booking">'
        . __('Confirm', 'ohbe') . '</button></div></div>'
        . '<input type=hidden id=ohbe-accommodations-input name=accommodations>'
        . '</form>';
        if (
            OHBE_Main::getSettings('conditions')
            && (
                isset($inv_langs['checkinout'])
                || isset($inv_langs['conditions'])
            )
        ) {
            $content = '';
            if (isset($inv_langs['checkinout'])) {
                $content .= sprintf(
                    '<h4>%s</h4>'
                    . '<p class=time-text>%s</p>',
                    __('Check in/out conditions', 'ohbe'),
                    nl2br(htmlspecialchars(
                        $inv_langs['checkinout']
                    ))
                );
            }
            if (isset($inv_langs['conditions'])) {
                $content .= sprintf(
                    '<h4>%s</h4>'
                    . '<div>%s</div>',
                    __('Conditions', 'ohbe'),
                    nl2br(htmlspecialchars(
                        $inv_langs['conditions']
                    ))
                );
            }
            echo OHBE_Reservation::renderModal(
                'ohbe-conditions',
                __('Reservation conditions', 'ohbe'),
                $content
            );
        }
        if (isset($inv_langs['privacy'])) {
            $title = __('Privacy statement', 'ohbe');
            $content = sprintf(
                '<p>%s</p>',
                nl2br(htmlspecialchars($inv_langs['privacy']))
            );
            echo OHBE_Reservation::renderModal(
                'ohbe-privacy',
                __('Privacy statement', 'ohbe'),
                $content
            );
        }
        OHBE_Tools::removeApiErrors();
    }
    else {
        printf(
            '<div class="alert alert-danger" '
            . 'style="padding:10px;">%s</div>',
            __('Your connection code is either wrong or not set yet.', 'ohbe')
        );
    }
}
echo '</div></div>';

get_footer();
